webdevqa.jp.net

Xcode用macos SDK 10.6はどこで入手できますか?

私は持っています Xcode 4.4 on OS X Lion。 openFrameworksをコンパイルする必要があるため、Mac 10.6 SDK(macosx10.7 SDKとも呼ばれます)をインストールしたいと思います。

このサイト から追加のツールをダウンロードする必要があることがわかりました。しかし、10.6 SDKは見つかりませんでした。 Xcodeの設定->ダウンロード->コンポーネントも調べてみましたが、方法はありません。

Xcodeの以前のSDKをインストールする方法を知りたいのですが?

21
Umar Jamil

残念ながら、Appleは、これを希望よりもはるかに困難にする傾向があります。SDKを単独でダウンロードすることはできません。SDKは、Xcodeの特定のバージョンの一部として提供されます。したがって、適切なダウンロードが必要ですXcodeのバージョン。「10.6」を検索すると、Xcode 4.1が必要であることがわかります。

それをダウンロードしたら、それをインストールするか(そのバージョンは/ Developerに移動するので、/ Applicationsのバージョンに影響しません)、またはパッケージを開いてSDKを見つけることができます。これらのパッケージを解読する方法がわからない場合は、インストールしてください。

それが終わったら、「MacOSX10.6.sdk」を検索してください。私はそれがその特定のバージョンのどこにあるかを正確に忘れています。

その時点で私がしていることは、SDKを/ SDKsディレクトリにコピーすることです。そのように私はいつもそれらすべてを持っています。

次に、現在のバージョンのXcodeに追加する必要があります。 /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKsにシンボリックリンクを作成することで、これを行うことができます。必要に応じて、私の小さな link-sdks スクリプトを使用できます。


更新:Xcodeの最新バージョン(7.3以降)で古いSDKを使用するには、ここでMinimumSDKVersionを編集します。

/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Info.plist
47
Rob Napier

すべてのレガシーMacOS SDKはGitHubにあります- https://github.com/phracker/MacOSX-SDKs

15
tfmontague

やや話題から外れましたが、 kerl を使用してErlangをインストールしようとすると、非常によく似た問題が発生しました。

「kerl build ...」のステップまで、すべてがうまくいきました。ビルドログに次のエラーが表示されました:

odbcserver.c:117:10: fatal error: 'sql.h' file not found #include "sql.h"

問題は、ODBCがMavericksインストールの一部ではなくなった(つまり、MacOS 10.6 SDKがインストールされていない)ことです。)さまざまなサイトからのアドバイスをつなげる、次の一連の手順で問題が修正されました:

  1. brew install unixodbc-不足しているODBCライブラリとインクルードファイル(たとえば、sql.h)をインストールします。
  2. Kerl buildコマンドの一部として、unixodbcインストールのインクルードディレクトリを指すようにCFLAGSを設定します(例:):

    CFLAGS = "-I/usr/local/Cellar/unixodbc/2.3.2/include" ./kerlビルドR15B R15B

これは、ビルドがODBCインクルードファイルを指すようにします。

私の環境は、Mavericks、xcodeコマンドラインツール、およびxcode v5.1.1です。

3
Rich

openFrameworks forums を検索すると、たとえば、パブリックDropboxフォルダーからダウンロードリンクを提供している投稿がいくつかあります。

3
jesses.co.tt

直接リンクからダウンロードできる一部のSDK(Xcode付き)。ここにリスト: http://iphonesdkdev.blogspot.ru/2010/04/old-versions-of-iphone-sdk.html

一部は機能しませんが、まだダウンロードできるものがあります。例: http://adcdownload.Apple.com/Developer_Tools/xcode_3.2.6_and_ios_sdk_4.3__final/xcode_3.2.6_and_ios_sdk_4.3.dmg

2
Vladislav